MLAPI API Reference

# MessageChunker Class

[This is preliminary documentation and is subject to change.]

Helper class to chunk messages
Inheritance Hierarchy
System
Object
MLAPI.NetworkingManagerComponents.Binary
MessageChunker

Namespace: MLAPI.NetworkingManagerComponents.Binary
Assembly: MLAPI (in MLAPI.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
Copy

    public static class MessageChunker

Request Example
View Source

The MessageChunker type exposes the following members.

Methods

| Name | Description
--- | --- | ---
| GetChunkedMessage | Chunks a large byte array to smaller chunks
| GetMessageOrdered | Converts a list of chunks back into the original buffer, this requires the list to be in correct order and properly verified
| GetMessageUnordered | Converts a list of chunks back into the original buffer, this does not require the list to be in correct order and properly verified
| HasDuplicates | Checks if a list of chunks have any duplicates inside of it
| HasMissingParts | Checks if a list of chunks has missing parts
| IsOrdered | Checks if a list of chunks is in correct order

Top
See Also

#### Reference

MLAPI.NetworkingManagerComponents.Binary Namespace